POST api/batchapi/medistreamstate

Request Information

URI Parameters

None.

Body Parameters

MedistreamStateViewModel
NameDescriptionTypeAdditional information
medistream_id

globally unique identifier

None.

batch_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "medistream_id": "4f5f49dd-da24-4a5c-bf56-74552d0e5b2f",
  "batch_id": "5d858b80-ef88-456a-93bd-fa64232c047e"
}

application/xml, text/xml

Sample:
<medistream_state xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_id>5d858b80-ef88-456a-93bd-fa64232c047e</batch_id>
  <medistream_id>4f5f49dd-da24-4a5c-bf56-74552d0e5b2f</medistream_id>
</medistream_state>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'MedistreamStateViewModel'.

Response Information

Resource Description

integer

Response Formats

application/json, text/json

Sample:
1

application/xml, text/xml

Sample:
<int xmlns="http://schemas.microsoft.com/2003/10/Serialization/">1</int>